Connectors
Fetch table detail for a saved connector
Returns detailed metadata for a specific table on the saved connector. Requires ‘schemaName’ and ‘tableName’ query parameters; ‘isView’ is optional.
GET
/
connectors
/
{uuid}
/
detail
Fetch table detail for a saved connector
curl --request GET \
--url https://api.artie.com/connectors/{uuid}/detail \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.artie.com/connectors/{uuid}/detail"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.artie.com/connectors/{uuid}/detail', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"columns": [
{
"metadata": {
"comment": "<string>",
"dataType": "<string>",
"defaultValue": "<string>",
"isPrimaryKey": true,
"notNull": true
},
"name": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"isView": true,
"metadata": [
{
"isDate": true,
"key": "<string>",
"value": "<unknown>"
}
],
"modifiedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"schema": "<string>",
"unreadable": true
}Authorizations
API key passed as a Bearer token in the Authorization header.
Path Parameters
Was this page helpful?
⌘I
Fetch table detail for a saved connector
